Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.spreadsheet.core
Class EMFFormsSpreadsheetReport

    java.lang.Object
      org.eclipse.emfforms.spi.common.report.AbstractReport
          org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetReport

    public class EMFFormsSpreadsheetReport

extends AbstractReport

The report to use for the `ReportService` during the Spreadsheet export or import.

Author:
  Eugen Neufeld

Field Summary
`static int` | `ERROR` Constant for the ERROR severity.
`static int` | `INFO` Constant for the INFO severity.
`static int` | `WARNING` Constant for the WARNING severity.

Constructor Summary
`EMFFormsSpreadsheetReport(String message, int severity)` Default constructor with a message.
`EMFFormsSpreadsheetReport(Throwable throwable, int severity)` Default constructor with a `Throwable`.

Method Summary

Methods inherited from class org.eclipse.emfforms.spi.common.report.AbstractReport
`getException, getMessage, getSeverity, hasException`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO

    public static final int INFO

  Constant for the INFO severity.

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Constant for the WARNING severity.

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Constant for the ERROR severity.

  See Also:
    Constant Field Values

Constructor Detail

### EMFFormsSpreadsheetReport

    public EMFFormsSpreadsheetReport(Throwable throwable,
                                     int severity)

  Default constructor with a `Throwable`.

  Parameters:
    `throwable` - The `Throwable` to report
    `severity` - The severity of the report

### EMFFormsSpreadsheetReport

    public EMFFormsSpreadsheetReport(String message,
                                     int severity)

  Default constructor with a message.

  Parameters:
    `message` - The message to report
    `severity` - The severity of the report

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.